PDA

View Full Version : Compiling custom Qt3 Widgets Gives warning in VC++6 Compiler



sunil.thaha
9th June 2006, 13:06
I have attached the widgets that can be used for Database Operations

Compiling it in linux Gave me no warning. But it is giving warnings when I tried to compile with VC++ 6 Compiler

Could you please explain how to eliminate it.

If useful you may use this in your applications. Or atleast use it for learning purpose

jacek
9th June 2006, 13:19
What warnings?

http://www.qtcentre.org/forum/showthread.php?t=638

sunil.thaha
9th June 2006, 13:22
I thought one could compile the source attached

These r the warning i get



D:\Downloads\Qt\Widgets\Widgets\PopupListBox.h(85) : warning C4251: 'm_mapIndexToId' : class 'QMap<int,long>' needs to have dll-interface to be used by clients of class 'PopupListBox'
D:\Downloads\Qt\Widgets\Widgets\PopupListBox.h(86) : warning C4251: 'm_mapIdToIndex' : class 'QMap<long,int>' needs to have dll-interface to be used by clients of class 'PopupListBox'

sunil.thaha
9th June 2006, 13:27
Hi Jacek,

I am getting warning and not errors

jacek
9th June 2006, 13:44
I thought one could compile the source attached
The more work your question requires, the less people will bother to look into it. You can see those warnings without any additional work, while others must download, uncompress and compile your sources (not mentioning booting the windows).

First link from Google:
http://www.unknownroad.com/rtfm/VisualStudio/warningC4251.html